GET
/api/v2/referrals/metricsWeekly funnel metrics, credit success rate and contribution.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (query) | string (uuid) | No | |
| from (query) | string (date-time) | No | |
| to (query) | string (date-time) | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Weeks | array of ReferralWeeklyMetricResponse | Yes | |
| CreditsAttempted | unknown | Yes | |
| CreditsPaid | unknown | Yes | |
| CreditSuccessRate | unknown | Yes | |
| FeesCollected | unknown | Yes | |
| ProviderCost | unknown | Yes | |
| RewardCost | unknown | Yes | |
| Contribution | unknown | Yes | |
| Currency | string | Yes |
Example request
curl -X GET "https://{base_url}/api/v2/referrals/metrics" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.